Module tdlight.api
Package it.tdlight.jni

# Class TdApi.VoiceNote

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.VoiceNote

Enclosing class:
  TdApi

public static final class TdApi.VoiceNote extends TdApi.Object
Describes a voice note. The voice note must be encoded with the Opus codec, and stored inside an OGG container. Voice notes can have only a single audio channel.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`int`
`duration`
Duration of the voice note, in seconds; as defined by the sender.
`String`
`mimeType`
MIME type of the file; as defined by the sender.
`TdApi.SpeechRecognitionResult`
`speechRecognitionResult`
Result of speech recognition in the voice note; may be null.
`TdApi.File`
`voice`
File containing the voice note.
`byte[]`
`waveform`
A waveform representation of the voice note in 5-bit format.

## Constructor Summary

Constructors
Constructor
Description
`VoiceNote()`
Describes a voice note.
`VoiceNote(int duration, byte[] waveform, String mimeType, TdApi.SpeechRecognitionResult speechRecognitionResult, TdApi.File voice)`
Describes a voice note.
`VoiceNote(DataInput input)`
Describes a voice note.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### duration

public int duration
Duration of the voice note, in seconds; as defined by the sender.

### waveform

public byte[] waveform
A waveform representation of the voice note in 5-bit format.

### mimeType

public String mimeType
MIME type of the file; as defined by the sender.

### speechRecognitionResult

public TdApi.SpeechRecognitionResult speechRecognitionResult
Result of speech recognition in the voice note; may be null.

### voice

public TdApi.File voice
File containing the voice note.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### VoiceNote

public VoiceNote()
Describes a voice note. The voice note must be encoded with the Opus codec, and stored inside an OGG container. Voice notes can have only a single audio channel.

### VoiceNote

public VoiceNote(int duration, byte[] waveform, String mimeType, TdApi.SpeechRecognitionResult speechRecognitionResult, TdApi.File voice)
Describes a voice note. The voice note must be encoded with the Opus codec, and stored inside an OGG container. Voice notes can have only a single audio channel.

Parameters:
  `duration` - Duration of the voice note, in seconds; as defined by the sender.
  `waveform` - A waveform representation of the voice note in 5-bit format.
  `mimeType` - MIME type of the file; as defined by the sender.
  `speechRecognitionResult` - Result of speech recognition in the voice note; may be null.
  `voice` - File containing the voice note.

### VoiceNote

public VoiceNote(DataInput input) throws IOException
Describes a voice note. The voice note must be encoded with the Opus codec, and stored inside an OGG container. Voice notes can have only a single audio channel.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`